%define pypi_name reportlab

Name:		python-%{pypi_name}
Version:	3.6.8
Release:	%mkrel 1
Summary:	ReportLab library to create PDF documents using Python
URL:		http://www.reportlab.org/
Source0:	%{pypi_name}-%{version}.tar.xz
License:	BSD
Group:		Publishing
BuildRequires:	freetype-devel

%description
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

%package -n python3-%{pypi_name}
Summary:	ReportLab library to create PDF documents using Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pillow
Requires:	    fonts-ttf-dejavu
Requires:	    python3-pillow
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

%package docs
Summary:	Documentation files for %{name}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Group:		Publishing
License:	BSD

%description docs
Contains the documentation for ReportLab.

%prep
%setup -q -n %{pypi_name}-%{version}

# clean up hashbangs from libraries
find src -name '*.py' | xargs sed -i -e '/^#!\//d'

# drop bundled egg-info
rm -rf src/reportlab.egg-info/

%build
%py3_build

# a bit of a horrible hack due to a chicken-and-egg problem. The docs
# require reportlab, which isn't yet installed, but is at least built.
PYTHONPATH="$(pwd)/$(ls -d build/lib*%{python3_version})" %{__python3} docs/genAll.py

%install
%py3_install

# Remove bundled fonts
rm -rf %{buildroot}%{python3_sitearch}/%{pypi_name}/fonts

%files -n python3-%{pypi_name}
%doc LICENSE.txt
%doc README.txt CHANGES.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}*.egg-info

%files docs
%doc docs/*.pdf demos tools


%changelog
* Fri Mar 18 2022 TerryN <terryn94 at gmail.com> 3.6.8-1pclos2022
- update and rebuild for python 3.10

* Sat Apr 20 2019 tex 3.5.19-1pclos2019
- new version 3.5.19
